Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Enum DocumentType2Code

- java.lang.Object
- - java.lang.Enum<DocumentType2Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_01.DocumentType2Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DocumentType2Code>`

    public enum DocumentType2Code
    extends java.lang.Enum<DocumentType2Code>

Java class for DocumentType2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DocumentType2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MSIN"/>
         <enumeration value="CNFA"/>
         <enumeration value="DNFA"/>
         <enumeration value="CINV"/>
         <enumeration value="CREN"/>
         <enumeration value="DEBN"/>
         <enumeration value="HIRI"/>
         <enumeration value="SBIN"/>
         <enumeration value="CMCN"/>
         <enumeration value="SOAC"/>
         <enumeration value="DISP"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`CINV`
`CMCN`
`CNFA`
`CREN`
`DEBN`
`DISP`
`DNFA`
`HIRI`
`MSIN`
`SBIN`
`SOAC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DocumentType2Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static DocumentType2Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentType2Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MSIN

    public static final DocumentType2Code MSIN

#### CNFA

    public static final DocumentType2Code CNFA

#### DNFA

    public static final DocumentType2Code DNFA

#### CINV

    public static final DocumentType2Code CINV

#### CREN

    public static final DocumentType2Code CREN

#### DEBN

    public static final DocumentType2Code DEBN

#### HIRI

    public static final DocumentType2Code HIRI

#### SBIN

    public static final DocumentType2Code SBIN

#### CMCN

    public static final DocumentType2Code CMCN

#### SOAC

    public static final DocumentType2Code SOAC

#### DISP

    public static final DocumentType2Code DISP

### Method Detail

#### values

    public static DocumentType2Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DocumentType2Code c : DocumentType2Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DocumentType2Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static DocumentType2Code fromValue​(java.lang.String v)